routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::delete('/carts/empty', 'CartController@empty')->name('carts.empty');

Route::put('/transactions/update_ps', 'TransactionController@update_ps')->name('transactions.update_ps');

Route::resource('products', 'ProductController');
Route::resource('locations', 'LocationController');
Route::resource('carts', 'CartController');
Route::resource('transactions', 'TransactionController');

app/Location.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Location extends Model
{
    public function products() {
    	return $this->hasMany('App\Product');
    }
}

app/Http/Controllers/LocationController.php
<?php

namespace App\Http\Controllers;

use App\Location;
use Illuminate\Http\Request;

class LocationController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Location $location)
    {
        $this->authorize('create', $location);
        $locations = Location::all();
        return view('locations.index')->with('locations',$locations);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Location $location)
    {
         $this->authorize('create', $location);

        return view('locations.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
                $this->authorize('create', $location);

        $request->validate([
                    'name' => 'required|string',
                    ]);

        $location = new Location;

        $location->name = $request->input('name');
        $location->save();

        return redirect( route('locations.index'));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Location  $location
     * @return \Illuminate\Http\Response
     */
    public function show(Location $location)
    {
                $this->authorize('create', $location);

        return view('locations.show')->with('location', $location);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Location  $location
     * @return \Illuminate\Http\Response
     */
    public function edit(Location $location)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Location  $location
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Location $location)
    {
                $this->authorize('create', $location);

        $request->validate([
                    'name' => 'required|string',
                    ]);

        $location->name = $request->input('name');
        $location->save();

        return redirect( route('locations.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Location  $location
     * @return \Illuminate\Http\Response
     */
    public function destroy(Location $location)
    {
                $this->authorize('create', $location);

        $location->delete();
        return redirect( route('locations.index'))->with('status','A location is deleted. To add new location, fill up above form.');
    }
}

resources/views/locations/includes/locations.blade.php
<main class="container-fluid watermarked">
	<div class="row">
		<div class="col-12 col-md-10 pr-0">
			<form class="form-group" action="{{ route('locations.update', ['location'=> $location->id])}}" method="POST" enctype="multipart/form-data">
		@csrf
		@method('PUT')


<!-- location name -->
<div class="form-group row">

<div class="col-12 col-md-1 offset-md-1 px-1">
	{{-- 	<button type="submit" class="btn btn-lockwhite w-100 mb-1 mx-auto">Update</button> --}}
<input class="reg-icon-mid" type="image" src="http://3.bp.blogspot.com/-RjuqUMNbPoA/XiGIIDrDJhI/AAAAAAAAL1U/Mfn8wkGMxvM6wF4bzHp3WkeyGYwTxW7bgCK4BGAYYCw/s400/icons8-edit-100.png">

	</div>

	<div class="col-12 col-md-10 pl-3">
		<input type="text" name="edit-name" class="form-control mb-2" placeholder="Location Name" value="{{ $location->name}}">

		

	</div>


	
</div>


</form>
		</div>
		<div class="col-12 col-md-2  ml-auto">
			<form class="" action="{{ route('locations.destroy', ['location'=>$location->id])}}" method="POST">
	@csrf
	@method('DELETE')
	<div>
		{{-- <button class="btn btn-lockred w-100 mb-2">Delete</button> --}}
		<input class="reg-icon-mid" type="image" src="http://3.bp.blogspot.com/-m8Vm-8GTWsY/XiGIILXPooI/AAAAAAAAL1Y/_7v6C97VGbUYwnW6OvOvt7zEn4f1GLWhwCK4BGAYYCw/s400/icons8-delete-100.png">
		</div>
</form>
		</div>

	</div>
</main>